LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Linux Kernel 2.6.38 Won't Boot on My Computer (http://www.linuxquestions.org/questions/linux-newbie-8/linux-kernel-2-6-38-wont-boot-on-my-computer-888374/)

nine9nine 06-25-2011 08:38 PM

Linux Kernel 2.6.38 Won't Boot on My Computer
 
Hi everyone. I'm back with more trouble. The new kernel (2.6.38) won't seem to boot on my laptop. It would only do the initial reboot, then it wouldn't boot again. It started when I upgraded to Ubuntu 11.04. I tried a new install, that wouldn't boot. Then I tried Linux Mint 11, same problem. I have CDs for previous versions, in case nothing seems to work. What should I do to get the kernel to work. (I'm dualbooting with Windows 7)

Hevithan 06-25-2011 09:53 PM

When the bootloader shows up you should see something like:

Code:

ubuntu
ubuntu recovery
memory test
previous versions of linux
windows on (dev/sda1)
windows recovery

If you select 'Previous Versions of Linux' it should load the kernel you used before (2.6.35 most likely) ...

After I updated I got that same issue, and am just to lazy to find the real way to solve it (and I am switching to a different distro anyways), But if it is causing you errors (like not being able to boot or graphic issues), using Previous Linux Version should work for now.

Good luck :)

nine9nine 06-25-2011 10:13 PM

That's what I was doing, but I needed the new kernel in Ubuntu so I could get my headphones working. I know that my headphones are working in Mint 11, so I'm probably going to install Mint 10, since I have the disc. At least I'm not the only one who had problems after the upgrade... Though I'm still open for any help to get the new kernel to work.

nine9nine 06-26-2011 01:11 PM

Actually, I need to know how to fix this new kernel boot problem. I need to use the new kernel to get something to work that I can't get to work on the previous one. Please help me.

Hevithan 06-26-2011 03:58 PM

Quote:

Originally Posted by nine9nine (Post 4396233)
Actually, I need to know how to fix this new kernel boot problem. I need to use the new kernel to get something to work that I can't get to work on the previous one. Please help me.

So, I upgraded my distro to it's newest release (from Zorin 4 to 5) and kernel 2.6.38 is working fine for me.

I got mint11 since you said you had problems with that, and when I ran it also ran into a few problems, but I can verify whether or not those where kernel related.

I looked on google and found:
http://www.cyberciti.biz/tips/compil...kernel-26.html
Which will show you how to get,compile,configure the kernel, and how to make an initrd image and update your GRUB to recognize the new kernel (There is alot of steps here I didn't take into consideration when I updated to 11.04) ... It tells how to do it for 2.6.25 but I assume the steps are the same ... Hopefully that helps you out.

If not, You'll just have to wait until someone else stumbles upon this thread ... LQ is all volunteers and they can only help when A) they see your problem, and understand it B) they want to help and most importantly C) they have the time.

But hopefully that link will give you some insight ... Good luck :)


All times are GMT -5. The time now is 06:05 AM.